simd_abi::deduce< _Tp, _Np,... > Struct Template Reference

`#include <simd.h>`

Inherits __deduce_impl< _Tp, _Np, typename >.

## Detailed Description

template<typename _Tp, size_t _Np, typename...>
struct simd_abi::deduce< _Tp, _Np,... >

Template Parameters

  _Tp | The requested `value_type` for the elements.
  _Np | The requested number of elements.
  _Abis | This parameter is ignored, since this implementation cannot make any use of it. Either __a good native ABI is matched and used as `type` alias, or the `fixed_size<_Np>` ABI is used, which internally is built from the best matching native ABIs.

Definition at line 2839 of file simd.h.

The documentation for this struct was generated from the following file:

- simd.h